<?php

namespace Sit\Hotel\Providers;

use Illuminate\Contracts\Auth\Access\Gate as GateContract;
use Illuminate\Foundation\Support\Providers\AuthServiceProvider as ServiceProvider;

class AuthServiceProvider extends ServiceProvider
{
    /**
     * The policy mappings for the package.
     *
     * @var array
     */
    protected $policies = [
        // Bind Hotel policy
        'Sit\Hotel\Models\Hotel' => \Sit\Hotel\Policies\HotelPolicy::class,
// Bind HotelsCategory policy
        'Sit\Hotel\Models\HotelsCategory' => \Sit\Hotel\Policies\HotelsCategoryPolicy::class,
    ];

    /**
     * Register any package authentication / authorization services.
     *
     * @param \Illuminate\Contracts\Auth\Access\Gate $gate
     *
     * @return void
     */
    public function boot(GateContract $gate)
    {
        parent::registerPolicies($gate);
    }
}
