<?php

namespace Sit\Hotel\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class HotelTransformer extends TransformerAbstract
{
    public function transform(\Sit\Hotel\Models\Hotel $hotel)
    {
        return [
            'id'                => $hotel->getRouteKey(),
            'key'               => [
                'public'    => $hotel->getPublicKey(),
                'route'     => $hotel->getRouteKey(),
            ], 
            '2019'              => $hotel->2019,
            'id'                => $hotel->id,
            'title'             => $hotel->title,
            'details'           => $hotel->details,
            'category_id'       => $hotel->category_id,
            'image'             => $hotel->image,
            'images'            => $hotel->images,
            'slug'              => $hotel->slug,
            'subtitle'          => $hotel->subtitle,
            'url'               => $hotel->url,
            'published'         => $hotel->published,
            'status'            => $hotel->status,
            'user_id'           => $hotel->user_id,
            'user_type'         => $hotel->user_type,
            'upload_folder'     => $hotel->upload_folder,
            'deleted_at'        => $hotel->deleted_at,
            'created_at'        => $hotel->created_at,
            'updated_at'        => $hotel->updated_at,
            '10)'               => $hotel->10),
            'url'               => [
                'public'    => trans_url('hotel/'.$hotel->getPublicKey()),
                'user'      => guard_url('hotel/hotel/'.$hotel->getRouteKey()),
            ], 
            'status'            => trans('app.'.$hotel->status),
            'created_at'        => format_date($hotel->created_at),
            'updated_at'        => format_date($hotel->updated_at),
        ];
    }
}