<?php

namespace Sit\Hotel\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class HotelsCategoryTransformer extends TransformerAbstract
{
    public function transform(\Sit\Hotel\Models\HotelsCategory $hotels_category)
    {
        return [
            'id'                => $hotels_category->getRouteKey(),
            'key'               => [
                'public'    => $hotels_category->getPublicKey(),
                'route'     => $hotels_category->getRouteKey(),
            ], 
            '2019'              => $hotels_category->2019,
            'id'                => $hotels_category->id,
            'name'              => $hotels_category->name,
            'slug'              => $hotels_category->slug,
            'status'            => $hotels_category->status,
            'user_id'           => $hotels_category->user_id,
            'user_type'         => $hotels_category->user_type,
            'upload_folder'     => $hotels_category->upload_folder,
            'deleted_at'        => $hotels_category->deleted_at,
            'created_at'        => $hotels_category->created_at,
            'updated_at'        => $hotels_category->updated_at,
            '10)'               => $hotels_category->10),
            'url'               => [
                'public'    => trans_url('hotel/'.$hotels_category->getPublicKey()),
                'user'      => guard_url('hotel/hotels_category/'.$hotels_category->getRouteKey()),
            ], 
            'status'            => trans('app.'.$hotels_category->status),
            'created_at'        => format_date($hotels_category->created_at),
            'updated_at'        => format_date($hotels_category->updated_at),
        ];
    }
}